## python-depinfo 2.2.0

=== Makefile ===
################################################################################
# COMMANDS                                                                     #
################################################################################

.PHONY: qa
## Apply code quality assurance tools.
qa:
	isort src/depinfo/ tests/ setup.py
	black src/depinfo/ tests/ setup.py

################################################################################
# Self Documenting Commands                                                    #
################################################################################

.DEFAULT_GOAL := show-help

# Inspired by
# <http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html>
# sed script explained:
# /^##/:
# 	* save line in hold space
# 	* purge line
# 	* Loop:
# 		* append newline + line to hold space
# 		* go to next line
# 		* if line starts with doc comment, strip comment character off and loop
# 	* remove target prerequisites
# 	* append hold space (+ newline) to line
# 	* replace newline plus comments by `---`
# 	* print line
# Separate expressions are necessary because labels cannot be delimited by
# semicolon; see <http://stackoverflow.com/a/11799865/1968>
.PHONY: show-help
show-help:
	@echo "$$(tput bold)Available rules:$$(tput sgr0)"
	@echo
	@sed -n -e "/^## / { \
		h; \
		s/.*//; \
		:doc" \
		-e "H; \
		n; \
		s/^## //; \
		t doc" \
		-e "s/:.*//; \
		G; \
		s/\\n## /---/; \
		s/\\n/ /g; \
		p; \
	}" ${MAKEFILE_LIST} \
	| LC_ALL='C' sort --ignore-case \
	| awk -F '---' \
		-v ncol=$$(tput cols) \
		-v indent=19 \
		-v col_on="$$(tput setaf 6)" \
		-v col_off="$$(tput sgr0)" \
	'{ \
		printf "%s%*s%s ", col_on, -indent, $$1, col_off; \
		n = split($$2, words, " "); \
		line_length = ncol - indent; \
		for (i = 1; i <= n; i++) { \
			line_length -= length(words[i]) + 1; \
			if (line_length <= 0) { \
				line_length = ncol - indent - length(words[i]) - 1; \
				printf "\n%*s ", -indent, " "; \
			} \
			printf "%s ", words[i]; \
		} \
		printf "\n"; \
	}' \
	| more $(shell test $(shell uname) = Darwin && \
		echo '--no-init --raw-control-chars')

## python-depinfo 1.4.0

=== debian/changelog ===
python-depinfo (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #907244)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Sep 2018 20:47:08 +0200

=== debian/control ===
Source: python-depinfo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-pipdeptree
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/python-depinfo
Vcs-Git: https://salsa.debian.org/med-team/python-depinfo.git
Homepage: https://github.com/Midnighter/dependency-info

Package: python3-depinfo
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pipdeptree
Description: retrieve and print Python 3 package dependencies
 This is a utility Python package intended for other library packages.
 It provides a function that when called with your package name,
 will print platform and dependency information.

## python-depinfo 1.5.1

=== debian/changelog ===
python-depinfo (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2019 22:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all-dev,
                python3-setuptools,
                python3-pipdeptree
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-depinfo
 Vcs-Git: https://salsa.debian.org/med-team/python-depinfo.git
 Homepage: https://github.com/Midnighter/dependency-info

## python-depinfo 1.5.3

=== debian/changelog ===
python-depinfo (1.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Add "Rules-Requires-Root: no"
  * Add upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 22 Feb 2020 03:37:23 +0530

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,18 @@
                python3-all-dev,
                python3-setuptools,
                python3-pipdeptree
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-depinfo
 Vcs-Git: https://salsa.debian.org/med-team/python-depinfo.git
 Homepage: https://github.com/Midnighter/dependency-info
+Rules-Requires-Root: no
 
 Package: python3-depinfo
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-pipdeptree
+         python3-pipdeptree,
+         python3-pkg-resources
 Description: retrieve and print Python 3 package dependencies
  This is a utility Python package intended for other library packages.
  It provides a function that when called with your package name,

=== debian/watch ===
version=4

https://github.com/Midnighter/dependency-info/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## python-depinfo 1.6.0

=== debian/changelog ===
python-depinfo (1.6.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.6.0
  * Add versioneer.py from versioneer-518
    to fix build
  * Drop dependency on pipdeptree
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 10 Jan 2021 21:12:24 +0530

python-depinfo (1.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.4

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Sep 2020 16:16:25 +0530

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
-               python3-pipdeptree
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-depinfo
 Vcs-Git: https://salsa.debian.org/med-team/python-depinfo.git
 Homepage: https://github.com/Midnighter/dependency-info
@@ -19,7 +18,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-pipdeptree,
          python3-pkg-resources
 Description: retrieve and print Python 3 package dependencies
  This is a utility Python package intended for other library packages.

## python-depinfo 1.7.0

=== debian/changelog ===
python-depinfo (1.7.0-2) unstable; urgency=medium

  * Move package to Debian Python Team

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 11:22:47 +0100

python-depinfo (1.7.0-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Sep 2021 11:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-depinfo
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -8,9 +8,9 @@
                dh-python,
                python3-all-dev,
                python3-setuptools,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/med-team/python-depinfo
-Vcs-Git: https://salsa.debian.org/med-team/python-depinfo.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-depinfo
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-depinfo.git
 Homepage: https://github.com/Midnighter/dependency-info
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=depinfo

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/Midnighter/dependency-info/releases .*/@ANY_VERSION@@ARCHIVE_EXT@

## python-depinfo 2.2.0

=== debian/changelog ===
python-depinfo (2.2.0-4) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-versioneer. Closes: #1116851.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 10:20:00 +0200

python-depinfo (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: migrate to pyproject.toml.
  * d/control: migrate to autopkgtest-pkg-pybuild.
  * d/control: remove dependency on python3-pkg-resources. (Closes: #1083626)
  * d/control: tests depend on pytest.
  * d/control: add missing test dependencies.
    Those are python3-versioneer and python3-pip; it is worth mentioning
    that the dependency on pip is needed because depinfo tests against pip
    invocations, but not in order to pull missing dependencies as is
    usually the case.
  * d/control: declare compliance to standards version 4.7.0.
  * python3.12.patch: normalize last update timestamp for dep3 compliance.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Dec 2024 16:25:01 +0100

python-depinfo (2.2.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Replace SafeConfigParser deprecated in Python3.12
    Closes: #1058203

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 08:44:34 +0100

python-depinfo (2.2.0-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 08:09:06 +0100

=== debian/control ===
Source: python-depinfo
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-versioneer,
               python3-pip <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-depinfo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-depinfo.git
Homepage: https://github.com/Midnighter/dependency-info

Package: python3-depinfo
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends}
Description: retrieve and print Python 3 package dependencies
 This is a utility Python package intended for other library packages.
 It provides a function that when called with your package name,
 will print platform and dependency information.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/Midnighter/dependency-info/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
